// Decompiled by Jad v1.5.8e. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.geocities.com/kpdus/jad.html
// Decompiler options: packimports(3) deadcode 
// Source File Name:   ExecutionContextParser.java

package com.symantec.itools.lang;


abstract class ExecutionContextParser
{

    protected ExecutionContextParser()
    {
        file = "unknown file";
        clazz = "unknown class";
        method = "unknown method";
        line = -1;
    }

    public String getFile()
    {
        return file;
    }

    public String getClazz()
    {
        return clazz;
    }

    public String getMethod()
    {
        return method;
    }

    public int getLine()
    {
        return line;
    }

    public abstract void parse(String s, int i);

    protected String file;
    protected String clazz;
    protected String method;
    protected int line;
}
